com.io7m.jcanephora.renderstate

## Interface JCGLRenderStateType

- All Known Implementing Classes:
    JCGLRenderState, JCGLRenderStateMutable

      @Value.Immutable
       @Value.Modifiable
      public interface JCGLRenderStateType

  The type of render states.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<JCGLBlendStateType>` | `getBlendState()`
    `default JCGLColorBufferMaskingStateType` | `getColorBufferMaskingState()`
    `Optional<JCGLCullingStateType>` | `getCullingState()`
    `default JCGLDepthStateType` | `getDepthState()`
    `default JCGLPolygonMode` | `getPolygonMode()`
    `Optional<com.io7m.jareas.core.AreaInclusiveUnsignedLType>` | `getScissor()`
    `default JCGLStencilStateType` | `getStencilState()`

- - ### Method Detail

    - #### getBlendState

          @Value.Parameter
          Optional<JCGLBlendStateType> getBlendState()

      Returns:
        The blending state, if blending is enabled

    - #### getCullingState

          @Value.Parameter
          Optional<JCGLCullingStateType> getCullingState()

      Returns:
        The culling state, if culling is enabled

    - #### getColorBufferMaskingState

          @Value.Parameter
           @Value.Default
          default JCGLColorBufferMaskingStateType getColorBufferMaskingState()

      Returns:
        The color buffer masking state

    - #### getPolygonMode

          @Value.Parameter
           @Value.Default
          default JCGLPolygonMode getPolygonMode()

      Returns:
        The polygon rendering mode

    - #### getScissor

          @Value.Parameter
          Optional<com.io7m.jareas.core.AreaInclusiveUnsignedLType> getScissor()

      Returns:
        The scissor region, if scissoring is enabled

    - #### getDepthState

          @Value.Parameter
           @Value.Default
          default JCGLDepthStateType getDepthState()

      Returns:
        The depth buffer state

    - #### getStencilState

          @Value.Parameter
           @Value.Default
          default JCGLStencilStateType getStencilState()

      Returns:
        The stencil buffer state

Copyright © 2016 <code@io7m.com> http://io7m.com